Subject: Re: [PATCH/RFC] Re: linux-next: build failure after merge of the luto-misc tree

From: Arnaldo Carvalho de Melo <[email-masked]>
Date: Mon, 25 Jul 2016 09:56:13 -0300

Em Sat, Jul 23, 2016 at 03:08:45PM +1000, Stephen Rothwell escreveu:
> On Fri, 22 Jul 2016 16:57:34 -0300 Arnaldo Carvalho de Melo <[email-masked]> wrote:
> > I applied your patch and will push it to Ingo, now we must cross our
> > fingers so that Stephen doesn't come back to us once more telling it is
> > still broken :o)
 
> Unfortunately, this is what I get when I just build perf/core:
 
>   DESCEND  objtool
>   CC       /home/sfr/next/x86_64_allmodconfig/tools/objtool/builtin-check.o

Cool! objtool is fixed, we're not at a different tool using those
headers, and your patch fixes it, I see Andy acked it, I'll merge this
and push to Ingo,

Thanks,

- Arnaldo

>   LD       /home/sfr/next/x86_64_allmodconfig/tools/objtool/objtool-in.o
> Warning: objtool: x86 instruction decoder differs from kernel
>   LINK     /home/sfr/next/x86_64_allmodconfig/tools/objtool/objtool
> In file included from /home/sfr/next/next/arch/x86/include/uapi/asm/bitsperlong.h:10:0,
>                  from /home/sfr/next/next/include/uapi/asm-generic/int-ll64.h:11,
>                  from /home/sfr/next/next/include/uapi/asm-generic/types.h:6,
>                  from /home/sfr/next/next/arch/x86/include/uapi/asm/types.h:4,
>                  from /home/sfr/next/next/tools/include/linux/types.h:9,
>                  from /home/sfr/next/next/include/uapi/linux/elf.h:4,
>                  from /home/sfr/next/next/arch/x86/entry/vdso/vdso2c.c:66:
> /home/sfr/next/next/tools/include/asm-generic/bitsperlong.h:13:2: error: #error Inconsistent word size. Check asm/bitsperlong.h
>  #error Inconsistent word size. Check asm/bitsperlong.h
>   ^
> 
> The be clear: this is a ppc64le hosted, x86_64 target cross build.
> 
> I than added the following patch, and the build finishes successfully.
> 
> From: Stephen Rothwell <[email-masked]>
> Date: Sat, 23 Jul 2016 14:35:40 +1000
> Subject: [PATCH] x86: make the vdso2c compiler use the host architecture
>  headers
> 
> Signed-off-by: Stephen Rothwell <[email-masked]>
> ---
>  arch/x86/entry/vdso/Makefile | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
> 
> diff --git a/arch/x86/entry/vdso/Makefile b/arch/x86/entry/vdso/Makefile
> index 253b72eaade6..25e88c030c47 100644
> --- a/arch/x86/entry/vdso/Makefile
> +++ b/arch/x86/entry/vdso/Makefile
> @@ -55,7 +55,7 @@ VDSO_LDFLAGS_vdso.lds = -m64 -Wl,-soname=linux-vdso.so.1 \
>  $(obj)/vdso64.so.dbg: $(src)/vdso.lds $(vobjs) FORCE
>  	$(call if_changed,vdso)
>  
> -HOST_EXTRACFLAGS += -I$(srctree)/tools/include -I$(srctree)/include/uapi -I$(srctree)/arch/x86/include/uapi
> +HOST_EXTRACFLAGS += -I$(srctree)/tools/include -I$(srctree)/include/uapi -I$(srctree)/arch/$(SUBARCH)/include/uapi
>  hostprogs-y			+= vdso2c
>  
>  quiet_cmd_vdso2c = VDSO2C  $@
> -- 
> 2.8.1
> 
> There may be a more correct way to do this ...
> -- 
> Cheers,
> Stephen Rothwell